org.bdgenomics.adam.projections

# VariantAnnotationField

#### object VariantAnnotationField extends FieldEnumeration

Enumeration of VariantAnnotation field names for predicates and projections.

Linear Supertypes
FieldEnumeration, Enumeration, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. VariantAnnotationField
2. FieldEnumeration
3. Enumeration
4. Serializable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class SchemaVal extends Val with FieldValue

   An enumerated field that is part of this schema.

2. #### class Val extends Value with Serializable

   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID( -3501153230598116017L )

3. #### abstract class Value extends Ordered[Value] with Serializable

   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID( 7091335633555234129L )

4. #### class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable

   Definition Classes
     Enumeration

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def SchemaValue: SchemaVal

   Attributes
     protected
   Definition Classes
     FieldEnumeration

7. #### final def Value(i: Int, name: String): Value

   Attributes
     protected
   Definition Classes
     Enumeration

8. #### final def Value(name: String): Value

   Attributes
     protected
   Definition Classes
     Enumeration

9. #### final def Value(i: Int): Value

   Attributes
     protected
   Definition Classes
     Enumeration

10. #### final def Value: Value

    Attributes
      protected
    Definition Classes
      Enumeration

11. #### val alleleCount: SchemaVal

12. #### val alleleFrequency: SchemaVal

13. #### val ancestralAllele: SchemaVal

14. #### final def apply(x: Int): Value

    Definition Classes
      Enumeration

15. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

16. #### val attributes: SchemaVal

17. #### val cigar: SchemaVal

18. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### val dbSnp: SchemaVal

20. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

22. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

23. #### val forwardReadDepth: SchemaVal

24. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

25. #### val hapMap2: SchemaVal

26. #### val hapMap3: SchemaVal

27. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

28. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

29. #### final def maxId: Int

    Definition Classes
      Enumeration

30. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

31. #### var nextId: Int

    Attributes
      protected
    Definition Classes
      Enumeration

32. #### var nextName: Iterator[String]

    Attributes
      protected
    Definition Classes
      Enumeration

33. #### final def notify(): Unit

    Definition Classes
      AnyRef

34. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

35. #### val readDepth: SchemaVal

36. #### def readResolve(): AnyRef

    Attributes
      protected
    Definition Classes
      Enumeration

37. #### val recordSchema: Schema

    Definition Classes
      FieldEnumeration

38. #### val referenceForwardReadDepth: SchemaVal

39. #### val referenceReadDepth: SchemaVal

40. #### val referenceReverseReadDepth: SchemaVal

41. #### val reverseReadDepth: SchemaVal

42. #### val somatic: SchemaVal

43. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

44. #### val thousandGenomes: SchemaVal

45. #### def toString(): String

    Definition Classes
      Enumeration → AnyRef → Any

46. #### val transcriptEffects: SchemaVal

47. #### val validated: SchemaVal

48. #### def values: ValueSet

    Definition Classes
      Enumeration

49. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

50. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

51. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

52. #### final def withName(s: String): Value

    Definition Classes
      Enumeration

### Inherited from FieldEnumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped